/// <reference types="node" />
declare type DownloadResult = {
    data: Buffer;
    ext: string;
};
export declare function isOSX(): boolean;
export declare function isWindows(): boolean;
/**
 * Create a temp directory with a debug-friendly name, and return its path.
 * Will be automatically deleted on exit.
 */
export declare function getTempDir(prefix: string, mode?: number): string;
export declare function copyFileOrDir(sourceFileOrDir: string, dest: string): Promise<void>;
export declare function downloadFile(fileUrl: string): Promise<DownloadResult>;
export declare function getAllowedIconFormats(platform: string): string[];
export {};
